=== debian/changelog ===
liblms7compact (0.0.1+git20190125.bfd5418-1) unstable; urgency=medium

  * Initial release (Closes: #945150)

 -- Sepi Gair <sepigair@email.cz>  Fri, 22 Nov 2019 16:46:56 +0100
