=== debian/control ===
Source: liblms7compact
Priority: optional
Maintainer: Sepi Gair <sepigair@email.cz>
Build-Depends: debhelper-compat (= 12), cmake, python3-cheetah
Standards-Version: 4.4.1
Section: libs
Homepage: https://github.com/xtrx-sdr/liblms7002m
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liblms7compact
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liblms7compact.git

Package: liblms7compact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblms7compact0 (= ${binary:Version}), ${misc:Depends}
Description: Compact LMS7002 library suitable for MCU: development
 The LMS7002M is Lime's second-generation field programmable RF (FPRF)
 transceiver IC with extended functionality to cover a greater range of
 frequencies and applications.
 .
 The library is developed for XTRX SDR which is the smallest easily embeddable
 software-defined radio (SDR). It is both affordable and high-performance. XTRX
 is designed to enable the next generation of wireless solutions, from
 prototype to production.
 .
 This package contains development files.

Package: liblms7compact0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compact LMS7002 library suitable for MCU
 The LMS7002M is Lime's second-generation field programmable RF (FPRF)
 transceiver IC with extended functionality to cover a greater range of
 frequencies and applications.
 .
 The library is developed for XTRX SDR which is the smallest easily embeddable
 software-defined radio (SDR). It is both affordable and high-performance. XTRX
 is designed to enable the next generation of wireless solutions, from
 prototype to production.
 .
 This package contains the shared library.
